Upcoming operating system deprecations

This version of Puppet is not included in Puppet Enterprise. The latest version of PE includes Puppet 4.10.

Open source Puppet ships puppet-agent packages for a variety of platforms, but some systems have been deprecated since we began shipping them, and we will no longer be providing packages for those systems.

The system requirements lists which platforms we currently publish packages for. Watch this space for upcoming deprecations in Puppet 5.

↑ Back to top